:root {
    --vaar-navy: #114864;
    --innholds-bakgrunnsfarge: #E9FDFF;
    --aksent: #001F5F;
}

.boks {
    background-color: var(--innholds-bakgrunnsfarge);
    padding: 0.5em;
    border: solid var(--aksent) 0.125em;
}

.trang {
    width: 75%;
}

.rund {
    border-radius: 0.75rem;
}

body {
    background-color: lightskyblue;
}

header {
    background-color: var(--vaar-navy);
    padding: 0.5em;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

body * {
    margin: 0.5em;
}


main :is(h1, h2, h3, h4, h5) {
    font-family: 'Courier New', Courier, monospace;
    color: var(--vaar-navy);
}

footer {
    background-color: var(--aksent);
    padding: 0.5em;
    color: white;
}
header > nav {
    display: flex;
}

header > nav span, header > nav > span > a, header > nav > span > div {
    color: white;
    transition: 200ms;
    text-decoration: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
}

header > nav > span {
    margin: 0;
    margin-top: 0.25rem;
}

header > nav > span > div {
    height: 2px;
    width: 0px;
    margin-top: 0.25rem;
    background-color: white;
} 

header > nav > span:hover > div {
    width: 80%;
    height: 2px;
    background-color: white;
    transition: 100ms;
} 
header > nav > span:hover > a {
    font-weight: bold;
}

.dropdown {
    position: relative;
    display: inline-block;
}
.dropdown > * {
    margin: 0;
}

.dropdown > button {
    background: none;
    border: none;
    color: white;
    transition: 200ms;
    padding: 0.5rem;
}
.dropdown > button:hover, button.vis {
    font-weight: bold;
    color: black;
    background-color: white;
}

.dropdown-innhold {
    display: none;
    position: absolute;
    z-index: 1;
    width: 18ch;
    right: 0;
}
.dropdown-innhold > * {
    display: block;
}

.vis {display:block;}
